//
//  SampleHandler.swift
//  RemoteAccessExtension
//
//  Created by Paweł Leśniewski on 18/11/2024.
//
import Foundation
import LiveKit
import Logging
import OSLog

private let broadcastLogger = OSLog(subsystem: "io.techstep.demo.RemoteAccess.RemoteAccessExtension", category: "Broadcast")
class SampleHandler: LKSampleHandler {
    override public init() {
        // Turn on logging for the Broadcast Extension
        LoggingSystem.bootstrap { label in
            var logHandler = LoggingOSLog(label: label, log: broadcastLogger)
            logHandler.logLevel = .debug
            return logHandler
        }
    }
}
